Name:		blender
Version:	2.63a
%define subrel 1
Release:	%mkrel 1
Summary:	A fully functional 3D modeling/rendering/animation package
Group:		Graphics
Source0:	http://download.blender.org/source/blender-%{version}.tar.gz
Patch0:		blender-2.63-localedir.patch
Patch1:		blender-2.60-error-when-missing-sse.patch
Patch2:		blender-2.58-static-lib.patch
Patch3:		blender-2.61-openjpeg_stdbool.patch
Patch4:		blender-2.63a-link.patch
# Patch from SuSe
Patch5:         blender-2.48-undefine-operation.patch
# Patch submitted upstream - Blender Patches item #19234,
Patch6:         blender-2.50-uninit-var.patch

URL:		http://www.blender.org/
License:	GPLv2+
BuildRequires:	cmake >= 2.8
BuildRequires:	ffmpeg-devel
BuildRequires:	glew-devel
BuildRequires:	OpenEXR-devel
BuildRequires:	SDL-devel
BuildRequires:	libx11-devel
BuildRequires:	libxi-devel
BuildRequires:	freetype2-devel
BuildRequires:	libgomp-devel
BuildRequires:	jpeg-devel
BuildRequires:	png-devel
BuildRequires:	openjpeg-devel
BuildRequires:	openal-devel
BuildRequires:	libsamplerate-devel
BuildRequires:	sndfile-devel
BuildRequires:	tiff-devel
BuildRequires:	python3-devel >= 3.2
BuildRequires:	boost-devel
BuildRequires:	openimageio-devel
Requires:	python(abi) >= 3.2
Requires(post,preun): GConf2

%description
Blender is the in-house software of a high quality animation studio.
It has proven to be an extremely fast and versatile design instrument.
The software has a personal touch, offering a unique approach to the
world of three dimensions. Blender can be used to create TV
commercials, to make technical visualizations or business graphics, to
do some morphing, or to design user interfaces. Developers can easily
build and manage complex environments. The renderer is versatile and
extremely fast. All basic animation principles (curves and keys) are
implemented.

%prep
%setup -qn %{name}-%{version}
%patch0 -p0 -b .localedir
%patch1 -p0 -b .sse
%patch2 -p0 -b .static
%patch3 -p1 -b .bool
%patch4 -p0 -b .link
%patch5 -p0
%patch6 -p0

%build
%ifarch %{ix86}
# build non-sse flavour
%cmake -DWITH_INSTALL_PORTABLE=OFF -DWITH_PLAYER=ON \
	-DWITH_PYTHON=ON -DWITH_PYTHON_INSTALL=OFF \
	-DWITH_BUILTIN_GLEW=OFF \
	-DWITH_CODEC_FFMPEG=ON -DWITH_CODEC_SNDFILE=ON \
	-DWITH_RAYOPTIMIZATION=OFF
%make
cd ..
mv build non-sse
%endif

#build sse flavour
%cmake -DWITH_INSTALL_PORTABLE=OFF -DWITH_PLAYER=ON \
	-DWITH_PYTHON=ON -DWITH_PYTHON_INSTALL=OFF \
	-DWITH_BUILTIN_GLEW=OFF \
	-DWITH_CODEC_FFMPEG=ON -DWITH_CODEC_SNDFILE=ON \
	-DWITH_RAYOPTIMIZATION=ON
%make

%install
rm -rf %{buildroot}

#install sse flavour
%makeinstall_std -C build

# Install hicolor icons.
for i in 16x16 22x22 32x32 48x48 256x256 ; do
  mkdir -p %{buildroot}%{_datadir}/icons/hicolor/${i}/apps
  install -pm 0644 release/freedesktop/icons/${i}/apps/%{name}.png \
    %{buildroot}%{_datadir}/icons/hicolor/${i}/apps/%{name}.png
done

mkdir -p %{buildroot}%{_datadir}/icons/hicolor/scalable/apps
install -pm 0644 release/freedesktop/icons/scalable/apps/%{name}.svg \
    %{buildroot}%{_datadir}/icons/hicolor/scalable/apps/%{name}.svg

%ifarch %{ix86}
mv %buildroot%_bindir/%name %buildroot%_bindir/%name.sse

#install non-sse flavour
rm -fr build
mv non-sse build
%makeinstall_std -C build
mv %buildroot%_bindir/%name %buildroot%_bindir/%name.nonsse

# install wrapper
cat >> %{buildroot}%{_bindir}/blender <<EOF 
if [ -e /proc/cpuinfo ]; then
	SSE="\`cat /proc/cpuinfo | grep flags | grep sse\`"
fi

if [ "x\$SSE" == x ]; then
	%{_bindir}/%{name}.nonsse "\$@"
else
	%{_bindir}/%{name}.sse "\$@"
fi
EOF
chmod 0755 %{buildroot}%{_bindir}/blender
%endif

sed -i -e 's,#!/usr/bin/python,#!/usr/bin/python3,' %{buildroot}%{_bindir}/blender-thumbnailer.py %{buildroot}%{_datadir}/%{name}/*/scripts/modules/blend_render_info.py

%find_lang %name

%clean
rm -rf %{buildroot}

%post
if [ -x %{_gconftool_bin} ]; then
   %{_gconftool_bin} --direct --config-source xml:readwrite:%{_sysconfdir}/gconf/gconf.xml.defaults --type boolean --set /desktop/gnome/thumbnailers/application@x-blender/enable true
   %{_gconftool_bin} --direct --config-source xml:readwrite:%{_sysconfdir}/gconf/gconf.xml.defaults --type string --set /desktop/gnome/thumbnailers/application@x-blender/command "blender-thumbnailer.py %u %o"
fi

%preun
if [ "$1" = "0" -a -x %{_gconftool_bin} ]; then
   %{_gconftool_bin} --direct --config-source xml:readwrite:%{_sysconfdir}/gconf/gconf.xml.defaults --unset /desktop/gnome/thumbnailers/application@x-blender/enable
   %{_gconftool_bin} --direct --config-source xml:readwrite:%{_sysconfdir}/gconf/gconf.xml.defaults --unset /desktop/gnome/thumbnailers/application@x-blender/command
fi

%files -f %name.lang
%defattr(-,root,root)
%doc release/text/*
%{_bindir}/*
%{_datadir}/applications/*.desktop
%{_datadir}/%{name}
%{_mandir}/man1/%{name}.1.*
%{_iconsdir}/hicolor/*/apps/%{name}.*


%changelog

* Sat Jun 09 2012 fwang <fwang> 2.63a-1.1.mga2
+ Revision: 258738
- br openimageio for cycles engine(bug#6059)
- new version 2.63a

* Fri Apr 27 2012 fwang <fwang> 2.63-1.mga2
+ Revision: 233462
- SILEN: build correctly
- new version 2.63

* Thu Apr 12 2012 fwang <fwang> 2.62-2.mga2
+ Revision: 230392
- add fedora patch to build with latest openjpeg
- rebuild for new openjpeg

* Fri Feb 17 2012 fwang <fwang> 2.62-1.mga2
+ Revision: 210042
- br boost
- new version 2.62

* Fri Dec 23 2011 fwang <fwang> 2.61-2.mga2
+ Revision: 186497
- rebuild for new tiff

* Thu Dec 15 2011 fwang <fwang> 2.61-1.mga2
+ Revision: 181678
- new version 2.61

* Sun Nov 20 2011 fwang <fwang> 2.60a-3.mga2
+ Revision: 169769
- hardcode python3 usage

* Tue Oct 25 2011 fwang <fwang> 2.60a-2.mga2
+ Revision: 158008
- requires python3

* Tue Oct 25 2011 fwang <fwang> 2.60a-1.mga2
+ Revision: 157935
- new version 2.60a

* Thu Oct 20 2011 fwang <fwang> 2.60-1.mga2
+ Revision: 156766
- new version 2.60

* Fri Oct 07 2011 fwang <fwang> 2.59-5.mga2
+ Revision: 152638
- rebuild for new openjpeg

* Fri Oct 07 2011 fwang <fwang> 2.59-4.mga2
+ Revision: 152604
- rebuild for new openjpeg

* Mon Oct 03 2011 fwang <fwang> 2.59-3.mga2
+ Revision: 151161
- rebuild for new glew

* Mon Sep 12 2011 fwang <fwang> 2.59-2.mga2
+ Revision: 142630
- rebuild for new libpng
- new version 2.59
- add req for scriptles

* Sat Jul 09 2011 fwang <fwang> 2.58a-1.mga2
+ Revision: 120831
- new version 2.58a

* Tue Jun 28 2011 fwang <fwang> 2.58-1.mga2
+ Revision: 115153
- new version 2.58 (python3.2 based)

* Mon May 30 2011 pterjan <pterjan> 2.49b-10.mga1
+ Revision: 100764
- Rebuild with fixed mkrel

* Sun May 29 2011 tmb <tmb> 2.49b-9.mga1.
+ Revision: 100733
- bump rel for missing packages

  + dmorgan <dmorgan>
    - Revert to blender 2.49b

* Tue May 17 2011 dmorgan <dmorgan> 2.57b-3.mga1
+ Revision: 99512
- New version ( from mandriva )

* Mon May 09 2011 ahmad <ahmad> 2.49b-8.mga1
+ Revision: 96662
- Drop BR esound-devel, phasing out esound from the distro

* Sun Mar 27 2011 blino <blino> 2.49b-7.mga1
+ Revision: 78147
- really fix printf format for SCA_ExpressionController.cpp (from upstream SVN)
- use _real_vendor macro for desktop files naming
- remove old distro name and version checks
- remove unused python24 patch
- remove old version checks, mime types and menus
- imported package blender

